=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-10-07 09:35:05 +0000
+++ drizzled/drizzled.cc	2008-10-08 22:44:20 +0000
@@ -1976,10 +1976,7 @@
   {"savepoint",            (char*) offsetof(STATUS_VAR, com_stat[(uint) SQLCOM_SAVEPOINT]), SHOW_LONG_STATUS},
   {"select",               (char*) offsetof(STATUS_VAR, com_stat[(uint) SQLCOM_SELECT]), SHOW_LONG_STATUS},
   {"set_option",           (char*) offsetof(STATUS_VAR, com_stat[(uint) SQLCOM_SET_OPTION]), SHOW_LONG_STATUS},
-  {"show_binlog_events",   (char*) offsetof(STATUS_VAR, com_stat[(uint) SQLCOM_SHOW_BINLOG_EVENTS]), SHOW_LONG_STATUS},
   {"show_binlogs",         (char*) offsetof(STATUS_VAR, com_stat[(uint) SQLCOM_SHOW_BINLOGS]), SHOW_LONG_STATUS},
-  {"show_charsets",        (char*) offsetof(STATUS_VAR, com_stat[(uint) SQLCOM_SHOW_CHARSETS]), SHOW_LONG_STATUS},
-  {"show_collations",      (char*) offsetof(STATUS_VAR, com_stat[(uint) SQLCOM_SHOW_COLLATIONS]), SHOW_LONG_STATUS},
   {"show_create_db",       (char*) offsetof(STATUS_VAR, com_stat[(uint) SQLCOM_SHOW_CREATE_DB]), SHOW_LONG_STATUS},
   {"show_create_table",    (char*) offsetof(STATUS_VAR, com_stat[(uint) SQLCOM_SHOW_CREATE]), SHOW_LONG_STATUS},
   {"show_databases",       (char*) offsetof(STATUS_VAR, com_stat[(uint) SQLCOM_SHOW_DATABASES]), SHOW_LONG_STATUS},

=== modified file 'drizzled/lex.h'
--- drizzled/lex.h	2008-10-02 19:18:43 +0000
+++ drizzled/lex.h	2008-10-08 22:44:20 +0000
@@ -176,7 +176,6 @@
   { "ERRORS",		SYM(ERRORS)},
   { "ESCAPE",		SYM(ESCAPE_SYM)},
   { "ESCAPED",		SYM(ESCAPED)},
-  { "EVENTS",		SYM(EVENTS_SYM)},
   { "EXCLUSIVE",        SYM(EXCLUSIVE_SYM)},
   { "EXISTS",		SYM(EXISTS)},
   { "EXIT",             SYM(EXIT_SYM)},

=== modified file 'drizzled/log_event.cc'
--- drizzled/log_event.cc	2008-10-08 02:28:58 +0000
+++ drizzled/log_event.cc	2008-10-08 22:44:20 +0000
@@ -638,28 +638,6 @@
 
 
 /**
-  Only called by SHOW BINLOG EVENTS
-*/
-int Log_event::net_send(Protocol *protocol, const char* log_name, my_off_t pos)
-{
-  const char *p= strrchr(log_name, FN_LIBCHAR);
-  const char *event_type;
-  if (p)
-    log_name = p + 1;
-
-  protocol->prepare_for_resend();
-  protocol->store(log_name, &my_charset_bin);
-  protocol->store((uint64_t) pos);
-  event_type = get_type_str();
-  protocol->store(event_type, strlen(event_type), &my_charset_bin);
-  protocol->store((uint32_t) server_id);
-  protocol->store((uint64_t) log_pos);
-  pack_info(protocol);
-  return protocol->write();
-}
-
-
-/**
   init_show_field_list() prepares the column names and types for the
   output of SHOW BINLOG EVENTS; it is used only by SHOW BINLOG
   EVENTS.

=== modified file 'drizzled/log_event.h'
--- drizzled/log_event.h	2008-10-08 02:28:58 +0000
+++ drizzled/log_event.h	2008-10-08 22:44:20 +0000
@@ -159,7 +159,7 @@
   char opt_flags;
   char empty_flags;
 
-  // store in new format even if old is possible
+  /* store in new format even if old is possible */
   void force_new_format() { cached_new_format = 1;}
   int data_size()
   {

=== modified file 'drizzled/rpl_mi.cc'
--- drizzled/rpl_mi.cc	2008-10-08 20:30:49 +0000
+++ drizzled/rpl_mi.cc	2008-10-08 22:44:20 +0000
@@ -139,13 +139,12 @@
 void Master_info::reset()
 {
   log_name.clear();
-  log_pos= BIN_LOG_HEADER_SIZE; 
+  log_pos= 0; 
 }
 
 
 int Master_info::init_master_info(const char* master_info_fname,
                                   const char* slave_info_fname,
-                                  bool abort_if_no_master_info_file __attribute__((unused)),
                                   int thread_mask)
 {
   int error;
@@ -193,12 +192,6 @@
   {
     drizzle::MasterList_Record *record;
 
-    if (abort_if_no_master_info_file)
-    {
-      pthread_mutex_unlock(&data_lock);
-      return 0;
-    }
-
     reset();
 
     /* Write new Master info file here (from info_filename) */

=== modified file 'drizzled/rpl_mi.h'
--- drizzled/rpl_mi.h	2008-10-08 20:30:49 +0000
+++ drizzled/rpl_mi.h	2008-10-08 22:44:20 +0000
@@ -66,7 +66,7 @@
   string info_filename;
   string log_name;
   uint16_t port;
-  off_t log_pos;
+  uint64_t log_pos;
 
 public:
 
@@ -110,7 +110,6 @@
 
   int init_master_info(const char* master_info_fname,
                        const char* slave_info_fname,
-                       bool abort_if_no_master_info_file,
                        int thread_mask);
 
   bool setUsername(const char *username);

=== modified file 'drizzled/slave.cc'
--- drizzled/slave.cc	2008-10-08 07:48:37 +0000
+++ drizzled/slave.cc	2008-10-08 22:44:20 +0000
@@ -239,7 +239,7 @@
     goto err;
   }
 
-  if (active_mi->init_master_info(master_info_file, relay_log_info_file, 1, (SLAVE_IO | SLAVE_SQL)))
+  if (active_mi->init_master_info(master_info_file, relay_log_info_file, (SLAVE_IO | SLAVE_SQL)))
   {
     sql_print_error(_("Failed to initialize the master info structure"));
     goto err;
@@ -1783,7 +1783,7 @@
         */
         if (rli->trans_retries < slave_trans_retries)
         {
-          if (rli->mi->init_master_info(0, 0, 0, SLAVE_SQL))
+          if (rli->mi->init_master_info(0, 0, SLAVE_SQL))
             sql_print_error(_("Failed to initialize the master info structure"));
           else if (init_relay_log_pos(rli,
                                       rli->group_relay_log_name.c_str(),

=== modified file 'drizzled/sql_lex.h'
--- drizzled/sql_lex.h	2008-10-06 21:06:15 +0000
+++ drizzled/sql_lex.h	2008-10-08 22:44:20 +0000
@@ -72,8 +72,9 @@
   SQLCOM_SHOW_KEYS, SQLCOM_SHOW_VARIABLES, SQLCOM_SHOW_STATUS,
   SQLCOM_SHOW_ENGINE_LOGS, SQLCOM_SHOW_ENGINE_STATUS, SQLCOM_SHOW_ENGINE_MUTEX,
   SQLCOM_SHOW_PROCESSLIST, SQLCOM_SHOW_MASTER_STAT, SQLCOM_SHOW_SLAVE_STAT,
-  SQLCOM_SHOW_CREATE, SQLCOM_SHOW_CHARSETS,
-  SQLCOM_SHOW_COLLATIONS, SQLCOM_SHOW_CREATE_DB, SQLCOM_SHOW_TABLE_STATUS,
+  SQLCOM_SHOW_CREATE,
+  SQLCOM_SHOW_CREATE_DB,
+  SQLCOM_SHOW_TABLE_STATUS,
   SQLCOM_LOAD,SQLCOM_SET_OPTION,SQLCOM_LOCK_TABLES,SQLCOM_UNLOCK_TABLES,
   SQLCOM_CHANGE_DB, SQLCOM_CREATE_DB, SQLCOM_DROP_DB, SQLCOM_ALTER_DB,
   SQLCOM_REPAIR, SQLCOM_REPLACE, SQLCOM_REPLACE_SELECT,
@@ -88,8 +89,9 @@
   SQLCOM_RESET, SQLCOM_PURGE, SQLCOM_PURGE_BEFORE, SQLCOM_SHOW_BINLOGS,
   SQLCOM_SHOW_OPEN_TABLES,
   SQLCOM_DELETE_MULTI, SQLCOM_UPDATE_MULTI,
-  SQLCOM_SHOW_BINLOG_EVENTS,
-  SQLCOM_SHOW_WARNS, SQLCOM_EMPTY_QUERY, SQLCOM_SHOW_ERRORS,
+  SQLCOM_SHOW_WARNS,
+  SQLCOM_EMPTY_QUERY,
+  SQLCOM_SHOW_ERRORS,
   SQLCOM_CHECKSUM,
   SQLCOM_BINLOG_BASE64_EVENT,
   SQLCOM_SHOW_PLUGINS,

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2008-10-07 19:30:18 +0000
+++ drizzled/sql_parse.cc	2008-10-08 22:44:20 +0000
@@ -183,10 +183,7 @@
   sql_command_flags[SQLCOM_SHOW_FIELDS]=      CF_STATUS_COMMAND;
   sql_command_flags[SQLCOM_SHOW_KEYS]=        CF_STATUS_COMMAND;
   sql_command_flags[SQLCOM_SHOW_VARIABLES]=   CF_STATUS_COMMAND;
-  sql_command_flags[SQLCOM_SHOW_CHARSETS]=    CF_STATUS_COMMAND;
-  sql_command_flags[SQLCOM_SHOW_COLLATIONS]=  CF_STATUS_COMMAND;
   sql_command_flags[SQLCOM_SHOW_BINLOGS]= CF_STATUS_COMMAND;
-  sql_command_flags[SQLCOM_SHOW_BINLOG_EVENTS]= CF_STATUS_COMMAND;
   sql_command_flags[SQLCOM_SHOW_WARNS]= CF_STATUS_COMMAND;
   sql_command_flags[SQLCOM_SHOW_ERRORS]= CF_STATUS_COMMAND;
   sql_command_flags[SQLCOM_SHOW_ENGINE_STATUS]= CF_STATUS_COMMAND;
@@ -1203,8 +1200,6 @@
   case SQLCOM_SHOW_FIELDS:
   case SQLCOM_SHOW_KEYS:
   case SQLCOM_SHOW_VARIABLES:
-  case SQLCOM_SHOW_CHARSETS:
-  case SQLCOM_SHOW_COLLATIONS:
   case SQLCOM_SELECT:
   {
     thd->status_var.last_query_cost= 0.0;
@@ -1256,12 +1251,6 @@
 			      (1L << (uint32_t) DRIZZLE_ERROR::WARN_LEVEL_ERROR));
     break;
   }
-  case SQLCOM_SHOW_BINLOG_EVENTS:
-  {
-    res = mysql_show_binlog_events(thd);
-    break;
-  }
-
   case SQLCOM_ASSIGN_TO_KEYCACHE:
   {
     assert(first_table == all_tables && first_table != 0);

=== modified file 'drizzled/sql_repl.cc'
--- drizzled/sql_repl.cc	2008-10-08 07:48:37 +0000
+++ drizzled/sql_repl.cc	2008-10-08 22:44:20 +0000
@@ -848,7 +848,7 @@
     thread_mask&= thd->lex->slave_thd_opt;
   if (thread_mask) //some threads are stopped, start them
   {
-    if (mi->init_master_info(master_info_file, relay_log_info_file, 0, thread_mask))
+    if (mi->init_master_info(master_info_file, relay_log_info_file, thread_mask))
       slave_errno=ER_MASTER_INFO;
     else if (server_id_supplied && *mi->getHostname())
     {
@@ -1136,7 +1136,7 @@
   thd->set_proc_info("Changing master");
   LEX_MASTER_INFO* lex_mi= &thd->lex->mi;
   // TODO: see if needs re-write
-  if (mi->init_master_info(master_info_file, relay_log_info_file, 0, thread_mask))
+  if (mi->init_master_info(master_info_file, relay_log_info_file, thread_mask))
   {
     my_message(ER_MASTER_INFO, ER(ER_MASTER_INFO), MYF(0));
     unlock_slave_threads(mi);
@@ -1327,148 +1327,6 @@
 }
 
 
-bool mysql_show_binlog_events(THD* thd)
-{
-  Protocol *protocol= thd->protocol;
-  List<Item> field_list;
-  const char *errmsg= 0;
-  bool ret= true;
-  IO_CACHE log;
-  File file= -1;
-
-  Log_event::init_show_field_list(&field_list);
-  if (protocol->send_fields(&field_list,
-                            Protocol::SEND_NUM_ROWS | Protocol::SEND_EOF))
-    return(true);
-
-  Format_description_log_event *description_event= new
-    Format_description_log_event(3); /* MySQL 4.0 by default */
-
-  if (mysql_bin_log.is_open())
-  {
-    LEX_MASTER_INFO *lex_mi= &thd->lex->mi;
-    SELECT_LEX_UNIT *unit= &thd->lex->unit;
-    ha_rows event_count, limit_start, limit_end;
-    my_off_t pos = cmax((uint64_t)BIN_LOG_HEADER_SIZE, lex_mi->pos); // user-friendly
-    char search_file_name[FN_REFLEN], *name;
-    const char *log_file_name = lex_mi->log_file_name;
-    pthread_mutex_t *log_lock = mysql_bin_log.get_log_lock();
-    LOG_INFO linfo;
-    Log_event* ev;
-
-    unit->set_limit(thd->lex->current_select);
-    limit_start= unit->offset_limit_cnt;
-    limit_end= unit->select_limit_cnt;
-
-    name= search_file_name;
-    if (log_file_name)
-      mysql_bin_log.make_log_name(search_file_name, log_file_name);
-    else
-      name=0;					// Find first log
-
-    linfo.index_file_offset = 0;
-
-    if (mysql_bin_log.find_log_pos(&linfo, name, 1))
-    {
-      errmsg = "Could not find target log";
-      goto err;
-    }
-
-    pthread_mutex_lock(&LOCK_thread_count);
-    thd->current_linfo = &linfo;
-    pthread_mutex_unlock(&LOCK_thread_count);
-
-    if ((file=open_binlog(&log, linfo.log_file_name, &errmsg)) < 0)
-      goto err;
-
-    /*
-      to account binlog event header size
-    */
-    thd->variables.max_allowed_packet += MAX_LOG_EVENT_HEADER;
-
-    pthread_mutex_lock(log_lock);
-
-    /*
-      open_binlog() sought to position 4.
-      Read the first event in case it's a Format_description_log_event, to
-      know the format. If there's no such event, we are 3.23 or 4.x. This
-      code, like before, can't read 3.23 binlogs.
-      This code will fail on a mixed relay log (one which has Format_desc then
-      Rotate then Format_desc).
-    */
-    ev = Log_event::read_log_event(&log,(pthread_mutex_t*)0,description_event);
-    if (ev)
-    {
-      if (ev->get_type_code() == FORMAT_DESCRIPTION_EVENT)
-      {
-        delete description_event;
-        description_event= (Format_description_log_event*) ev;
-      }
-      else
-        delete ev;
-    }
-
-    my_b_seek(&log, pos);
-
-    if (!description_event->is_valid())
-    {
-      errmsg="Invalid Format_description event; could be out of memory";
-      goto err;
-    }
-
-    for (event_count = 0;
-	 (ev = Log_event::read_log_event(&log,(pthread_mutex_t*) 0,
-                                         description_event)); )
-    {
-      if (event_count >= limit_start &&
-	  ev->net_send(protocol, linfo.log_file_name, pos))
-      {
-	errmsg = "Net error";
-	delete ev;
-	pthread_mutex_unlock(log_lock);
-	goto err;
-      }
-
-      pos = my_b_tell(&log);
-      delete ev;
-
-      if (++event_count >= limit_end)
-	break;
-    }
-
-    if (event_count < limit_end && log.error)
-    {
-      errmsg = "Wrong offset or I/O error";
-      pthread_mutex_unlock(log_lock);
-      goto err;
-    }
-
-    pthread_mutex_unlock(log_lock);
-  }
-
-  ret= false;
-
-err:
-  delete description_event;
-  if (file >= 0)
-  {
-    end_io_cache(&log);
-    (void) my_close(file, MYF(MY_WME));
-  }
-
-  if (errmsg)
-    my_error(ER_ERROR_WHEN_EXECUTING_COMMAND, MYF(0),
-             "SHOW BINLOG EVENTS", errmsg);
-  else
-    my_eof(thd);
-
-  pthread_mutex_lock(&LOCK_thread_count);
-  thd->current_linfo = 0;
-  pthread_mutex_unlock(&LOCK_thread_count);
-  return(ret);
-}
-
-
 bool show_binlog_info(THD* thd)
 {
   Protocol *protocol= thd->protocol;

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2008-10-06 21:06:15 +0000
+++ drizzled/sql_yacc.yy	2008-10-08 22:44:20 +0000
@@ -513,7 +513,6 @@
 %token  ERRORS
 %token  ESCAPED
 %token  ESCAPE_SYM                    /* SQL-2003-R */
-%token  EVENTS_SYM
 %token  EXCLUSIVE_SYM
 %token  EXISTS                        /* SQL-2003-R */
 %token  EXIT_SYM
@@ -5159,11 +5158,6 @@
           {
             Lex->sql_command = SQLCOM_SHOW_BINLOGS;
           }
-        | BINLOG_SYM EVENTS_SYM binlog_in binlog_from
-          {
-            LEX *lex= Lex;
-            lex->sql_command= SQLCOM_SHOW_BINLOG_EVENTS;
-          } opt_limit_clause_init
         | keys_or_index from_or_in table_ident opt_db where_clause
           {
             LEX *lex= Lex;
@@ -5199,20 +5193,6 @@
             if (prepare_schema_table(YYTHD, lex, 0, SCH_VARIABLES))
               DRIZZLE_YYABORT;
           }
-        | charset show_wild
-          {
-            LEX *lex= Lex;
-            lex->sql_command= SQLCOM_SHOW_CHARSETS;
-            if (prepare_schema_table(YYTHD, lex, 0, SCH_CHARSETS))
-              DRIZZLE_YYABORT;
-          }
-        | COLLATION_SYM show_wild
-          {
-            LEX *lex= Lex;
-            lex->sql_command= SQLCOM_SHOW_COLLATIONS;
-            if (prepare_schema_table(YYTHD, lex, 0, SCH_COLLATIONS))
-              DRIZZLE_YYABORT;
-          }
         | CREATE DATABASE opt_if_not_exists ident
           {
             Lex->sql_command=SQLCOM_SHOW_CREATE_DB;
@@ -5255,16 +5235,6 @@
         | IN_SYM
         ;
 
-binlog_in:
-          /* empty */            { Lex->mi.log_file_name = 0; }
-        | IN_SYM TEXT_STRING_sys { Lex->mi.log_file_name = $2.str; }
-        ;
-
-binlog_from:
-          /* empty */        { Lex->mi.pos = 4; /* skip magic number */ }
-        | FROM ulonglong_num { Lex->mi.pos = $2; }
-        ;
-
 show_wild:
           /* empty */
         | LIKE TEXT_STRING_sys
@@ -6132,7 +6102,6 @@
         | ENGINE_SYM               {}
         | ERRORS                   {}
         | ESCAPE_SYM               {}
-        | EVENTS_SYM               {}
         | EXCLUSIVE_SYM            {}
         | EXTENDED_SYM             {}
         | EXTENT_SIZE_SYM          {}

=== modified file 'tests/r/information_schema.result'
--- tests/r/information_schema.result	2008-09-21 12:42:22 +0000
+++ tests/r/information_schema.result	2008-10-08 22:44:20 +0000
@@ -62,13 +62,9 @@
 select * from information_schema.CHARACTER_SETS
 where CHARACTER_SET_NAME like 'latin1%';
 CHARACTER_SET_NAME	DEFAULT_COLLATE_NAME	DESCRIPTION	MAXLEN
-SHOW CHARACTER SET LIKE 'latin1%';
-Charset	Description	Default collation	Maxlen
 select * from information_schema.COLLATIONS
 where COLLATION_NAME like 'latin1%';
 COLLATION_NAME	CHARACTER_SET_NAME	ID	IS_DEFAULT	IS_COMPILED	SORTLEN
-SHOW COLLATION LIKE 'latin1%';
-Collation	Charset	Id	Default	Compiled	Sortlen
 select * from information_schema.COLLATION_CHARACTER_SET_APPLICABILITY
 where COLLATION_NAME like 'latin1%';
 COLLATION_NAME	CHARACTER_SET_NAME

=== modified file 'tests/t/information_schema.test'
--- tests/t/information_schema.test	2008-09-21 12:42:22 +0000
+++ tests/t/information_schema.test	2008-10-08 22:44:20 +0000
@@ -55,7 +55,6 @@
 
 select * from information_schema.CHARACTER_SETS
 where CHARACTER_SET_NAME like 'latin1%';
-SHOW CHARACTER SET LIKE 'latin1%';
 
 # Test for information_schema.COLLATIONS &
 # SHOW COLLATION
@@ -63,8 +62,6 @@
 --replace_column 5 #
 select * from information_schema.COLLATIONS
 where COLLATION_NAME like 'latin1%';
---replace_column 5 #
-SHOW COLLATION LIKE 'latin1%';
 
 select * from information_schema.COLLATION_CHARACTER_SET_APPLICABILITY
 where COLLATION_NAME like 'latin1%';

